%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  bayesplot
%global packver   1.13.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.13.0
Release:          1%{?dist}%{?buildtag}
Summary:          Plotting for Bayesian Models

License:          GPL (>= 3)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


Recommends:       pandoc
BuildRequires:    R-devel >= 3.1.0
Requires:         R-core >= 3.1.0
BuildArch:        noarch
BuildRequires:    R-CRAN-ggplot2 >= 3.4.0
BuildRequires:    R-CRAN-tibble >= 2.0.0
BuildRequires:    R-CRAN-dplyr >= 0.8.0
BuildRequires:    R-CRAN-ggridges >= 0.5.5
BuildRequires:    R-CRAN-rlang >= 0.3.0
BuildRequires:    R-CRAN-glue 
BuildRequires:    R-CRAN-posterior 
BuildRequires:    R-CRAN-reshape2 
BuildRequires:    R-stats 
BuildRequires:    R-CRAN-tidyr 
BuildRequires:    R-CRAN-tidyselect 
BuildRequires:    R-utils 
Requires:         R-CRAN-ggplot2 >= 3.4.0
Requires:         R-CRAN-tibble >= 2.0.0
Requires:         R-CRAN-dplyr >= 0.8.0
Requires:         R-CRAN-ggridges >= 0.5.5
Requires:         R-CRAN-rlang >= 0.3.0
Requires:         R-CRAN-glue 
Requires:         R-CRAN-posterior 
Requires:         R-CRAN-reshape2 
Requires:         R-stats 
Requires:         R-CRAN-tidyr 
Requires:         R-CRAN-tidyselect 
Requires:         R-utils 

%description
Plotting functions for posterior analysis, MCMC diagnostics, prior and
posterior predictive checks, and other visualizations to support the
applied Bayesian workflow advocated in Gabry, Simpson, Vehtari,
Betancourt, and Gelman (2019) <doi:10.1111/rssa.12378>. The package is
designed not only to provide convenient functionality for users, but also
a common set of functions that can be easily used by developers working on
a variety of R packages for Bayesian modeling, particularly (but not
exclusively) packages interfacing with 'Stan'.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
